PARCELLITE(1)

NAME
Parcellite - Lightweight GTK+ Clipboard Manager

SYNOPSIS
parcellite [OPTION]

DESCRIPTION
Parcellite is a lightweight GTK+ clipboard manager. This is a stripped down, basic-features-only clipboard manager with a small memory footprint for those who like simplicity. Parcellite features a clipboard CLI. Unrecognized options and the contents of your standard input get copied to your clipboard. See CLI EXAMPLES. Look at the tool tips by hovering over each item in the prefrences dialog.

OPTIONS

-?, --help
    Show help options

-d, --daemon
    Run as daemon. Use this mode if you just want Parcellite to keep your clipboard and primary contents safe. Daemon mode just restores clipboard contents if it is lost. It does nothing else, no clipboard history, no clipboard synchronization, no icon, no command line interface, or anything other than restoring clipboard content if it becomes empty. It must be run as the first instance, and will disable the command line interface and all other features of parcellite.

-n, --no-icon
    Do not use status icon

-c, --clipboard
    Print clipboard contents -p, --primary Print primary contents

ACTIONS
Parcellite's actions perform commands using the contents of your clipboard. "%s" in the command is replaced with the clipboard contents. Use double quotes "%s" to expand env variables like $HOME to /home/your_name Use single quotes '%s' to feed your action with env variables without shell expansion. Use %% if you want a literal %. See the man page for gnuC printf (man 2 printf) for more information.

CLI EXAMPLES
 echo "copied to clipboard" | parcellite
 parcellite "copied to clipboard"
 echo "copied to clipboard" | parcellite -c

Hotkeys
 The available hotkey modifiers are <Ctrl>, <Alt> <Shift>, <Release>, <Meta>, <Super>, <Hyper>, <Mod[1-5]>

Preferences
Right-click on the parcellite icon in the systray to access the preferences.

Behavior Tab

Clipboards
    generally checking all these boxes is appropriate.

History
     Check 'Save history' to save history on close.
     'Position history' - Set the location where history appears. If unchecked, appears where the mouse is.
     'X' - X location in pixels. 0 is top of screen.
     'Y' - Y location in pixels. 0 is left of screen.

     'Max Data Size (MB)' - Set Maximum amount of data to copy for each entry in MBytes. 0 is no limit.

Miscellaneous
     'Search As You Type' - If checked, does a search-as-you-type. Turns red if not found. Goes to top (Alt-E) line when no chars are entered for search

     'Case Sensitive Search' - If checked, does case sensitive search.
     'Ignore Whitespace Only' - If checked, will ignore any clipboard additions that contain only whitespace.
     'Trim Whitespace' - If checked, will trim whitespace from beginning and end of entry.
     'Trim Newlines' - If checked, will replace newlines with spaces.

Display Tab

'Show in Single line' does nothing.

'Show in reverse order' reverses the history so the first entry is last and the last is first.

'Omit items' refers to omitting characters that don't fit in the history window width. This is for display only.

History Dialog Behavior

Use the Ctrl or Shift key in conjunction with right-click.

If you hold Ctrl, then it toggles the delete on a single item.

If you hold Shift while holding down right-click (this is like a right-drag), then it toggles each item as it enters the item.

To complete the delete, hit enter.

SEE ALSO

Website: http://parcellite.sourceforge.net

AUTHOR
Written by Gilberto "Xyhthyx" Miralla <xyhthyx@gmail.com>. Gilberto is no longer maintaining the project. 'Rickyrockrat' is his replacement.

BUGS
Please include your ~/.config/parcellite/parcelliterc file when filing a bug. This will give me your preferences.
 Please report any bugs to the bug tracker via this web page:
 http://sourceforge.net/projects/parcellite/support
 Click on 'Bugs' under 'Project Trackers' to file a bug if you are registered with Source Forge. If not, email rickyrockrat (rickyrockrat at users.sourceforge.net), or click the 'project administers' in the link above.